CVE-2002-0017
CVSS7.5
发布时间 :2002-04-03 00:00:00
修订时间 :2008-09-05 16:26:57
NMCO    

[原文]Buffer overflow in SNMP daemon (snmpd) on SGI IRIX 6.5 through 6.5.15m allows remote attackers to execute arbitrary code via an SNMP request.


[CNNVD]IRIX SNMP守护进程缓冲区溢出漏洞(CNNVD-200204-010)

        
        IRIX是SGI公司发布的一个商业UNIX系统。
        IRIX的SNMP守护进程存在缓冲区溢出漏洞,远程攻击者可以通过溢出攻击在主机上以root的身份执行任意代码。
        IRIX的守护进程在处理畸形的SNMP请求时存在缓冲区溢出问题,远程攻击者可能利用这个公共只读的SNMP分支的溢出漏洞不需要任何认证就可以取得对主机的完全控制。
        

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/o:sgi:irix:6.5.8SGI IRIX 6.5.8
cpe:/o:sgi:irix:6.5.14fSGI IRIX 6.5.14f
cpe:/o:sgi:irix:6.5.6SGI IRIX 6.5.6
cpe:/o:sgi:irix:6.5.15fSGI IRIX 6.5.15f
cpe:/o:sgi:irix:6.5.11mSGI IRIX 6.5.11m
cpe:/o:sgi:irix:6.5.13fSGI IRIX 6.5.13f
cpe:/o:sgi:irix:6.5SGI IRIX 6.5
cpe:/o:sgi:irix:6.5.7SGI IRIX 6.5.7
cpe:/o:sgi:irix:6.5.12fSGI IRIX 6.5.12f
cpe:/o:sgi:irix:6.5.12mSGI IRIX 6.5.12m
cpe:/o:sgi:irix:6.5.11fSGI IRIX 6.5.11f
cpe:/o:sgi:irix:6.5.15mSGI IRIX 6.5.15m
cpe:/o:sgi:irix:6.5.5SGI IRIX 6.5.5
cpe:/o:sgi:irix:6.5.4SGI IRIX 6.5.4
cpe:/o:sgi:irix:6.5.10SGI IRIX 6.5.10
cpe:/o:sgi:irix:6.5.3SGI IRIX 6.5.3
cpe:/o:sgi:irix:6.5.1SGI IRIX 6.5.1
cpe:/o:sgi:irix:6.5.9SGI IRIX 6.5.9
cpe:/o:sgi:irix:6.5.2SGI IRIX 6.5.2
cpe:/o:sgi:irix:6.5.14mSGI IRIX 6.5.14m
cpe:/o:sgi:irix:6.5.13mSGI IRIX 6.5.13m

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2002-0017
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2002-0017
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200204-010
(官方数据源) CNNVD

- 其它链接及资源

ftp://patches.sgi.com/support/free/security/advisories/20020201-01-P
(VENDOR_ADVISORY)  SGI  20020201-01-P
http://www.iss.net/security_center/alerts/advise113.php
(VENDOR_ADVISORY)  ISS  20020403 Remote Buffer Overflow Vulnerability in IRIX SNMP Daemon
http://www.securityfocus.com/bid/4421
(UNKNOWN)  BID  4421
http://www.iss.net/security_center/static/7846.php
(UNKNOWN)  XF  irix-snmp-bo(7846)

- 漏洞信息

IRIX SNMP守护进程缓冲区溢出漏洞
高危 边界条件错误
2002-04-03 00:00:00 2005-05-02 00:00:00
远程  
        
        IRIX是SGI公司发布的一个商业UNIX系统。
        IRIX的SNMP守护进程存在缓冲区溢出漏洞,远程攻击者可以通过溢出攻击在主机上以root的身份执行任意代码。
        IRIX的守护进程在处理畸形的SNMP请求时存在缓冲区溢出问题,远程攻击者可能利用这个公共只读的SNMP分支的溢出漏洞不需要任何认证就可以取得对主机的完全控制。
        

- 公告与补丁

        临时解决方法:
        如果您不能立刻安装补丁或者升级,CNNVD建议您采取以下措施以降低威胁:
        * 如果SNMP服务不是必要的,关闭之。或者对SNMP服务端口设置访问过滤,只允许合法可信的用户连接访问。
        厂商补丁:
        SGI
        ---
        SGI已经为此发布了一个安全公告(20020201-01-P)以及相应补丁:
        20020201-01-P:SNMP Vulnerabilities
        链接:ftp://patches.sgi.com/support/free/security/advisories/20020201-01-P
        补丁情况:
         系统版本 是否受影响 补丁号 备注
         ---------- ----------- ------- -------------
         IRIX 3.x 未知 备注 1
         IRIX 4.x 未知 备注 1
         IRIX 5.x 未知 备注 1
         IRIX 6.0.x 未知 备注 1
         IRIX 6.1 未知 备注 1
         IRIX 6.2 未知 备注 1
         IRIX 6.3 未知 备注 1
         IRIX 6.4 未知 备注 1
         IRIX 6.5 是 4574 备注 2 & 3
         IRIX 6.5.1 是 4574 备注 2 & 3
         IRIX 6.5.2 是 4574 备注 2 & 3
         IRIX 6.5.3 是 4574 备注 2 & 3
         IRIX 6.5.4 是 4574 备注 2 & 3
         IRIX 6.5.5 是 4574 备注 2 & 3
         IRIX 6.5.6 是 4574 备注 2 & 3
         IRIX 6.5.7 是 4574 备注 2 & 3
         IRIX 6.5.8 是 4574 备注 2 & 3
         IRIX 6.5.9 是 4574 备注 2 & 3
         IRIX 6.5.10 是 4574 备注 2 & 3
         IRIX 6.5.11 是 4574 备注 2 & 3
         IRIX 6.5.12 是 4574 备注 2 & 3
         IRIX 6.5.13 是 4574 备注 2 & 3
         IRIX 6.5.14 是 4574 备注 2 & 3
         IRIX 6.5.15 是 4574 备注 2 & 3
         备注:
         1) 这个版本的IRIX系统已经不再被维护了,请升级到受支持的版本,参看
        
        http://support.sgi.com/irix/news/index.html#policy来获得更多的信息。

         2) 如果你还未收到一张IRIX 6.5.x for IRIX 6.5的CD,请联系SGI的支持
         部门,访问:
        http://support.sgi.com/irix/swupdates/

         3) 升级到IRIX 6.5.16m或6.5.16f。
        
        您可以在下列地址下载IRIX补丁:
        
        http://support.sgi.com/

        ftp://patches.sgi.com/support/patchset/

- 漏洞信息

5420
IRIX snmpd SNMP Request Overflow
Remote / Network Access Input Manipulation
Loss of Integrity
Exploit Unknown

- 漏洞描述

A remote overflow exists in IRIX. The SNMP (Simple Network Management Protocol) daemon fails to check bounds on incoming SNMP requests resulting in a buffer overflow. With a specially crafted request, an attacker can execute arbitrary code or commands on the target system resulting in a loss of integrity.

- 时间线

2002-04-03 Unknow
Unknow Unknow

- 解决方案

Upgrade to version 6.5.16 or higher, as it has been reported to fix this vulnerability. In addition, IRIX has released a patch for some older versions.

- 相关参考

- 漏洞作者

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站